> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transactions by reference



## OpenAPI

````yaml api-reference/openapi.json get /api/reports/transactions-by-reference
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/reports/transactions-by-reference:
    get:
      tags:
        - Reports
      summary: Get transactions by reference
      operationId: TransactionsByReferenceController_getTransactionsByReference
      parameters:
        - name: referenceType
          required: true
          in: query
          description: The type of the reference (e.g., SaleInvoice, Bill, etc.)
          schema:
            example: SaleInvoice
            type: string
        - name: referenceId
          required: true
          in: query
          description: The ID of the reference
          schema:
            example: '1'
            type: number
      responses:
        '200':
          description: Transactions by reference

````